bend-kit-zlib
Search uses release 0.5.1.0 · 196 definitions
Definitions (196)
- def gz.fstrA zero-terminated FNAME or FCOMMENT.
- def gz.fhcrc.at
- def gz.fhcrc
- type MemberOne member's output, the input back, and the first byte after its trailer.
- def gz.keep
- def gz.isize
- def gz.crc
- def gz.trail
- def gz.body
- def gz.flags
- def gz.magic
- def gz.headID1 31, ID2 139, CM 8 (DEFLATE), then FLG.
- def gz.memberThe member that starts at byte p.
- type GzRFC 1952 §2.2: members follow each other until the input ends.
- def gz.more
- def gz.step
- def gz.goEach member takes at least 18 bytes, so one step per byte suffices.
- def gunzipEvery gzip member, concatenated; each CRC-32 and ISIZE must match.
- def zl.sumRFC 1950: CMF and FLG, then DEFLATE, then Adler-32, big-endian.
- def zl.trail
- def zl.ok
- def zl.go
- def zl.head
- def unzlib
- def bw.code
- def fx.hiRFC 1951 §3.2.6: the fixed code of literal/length symbol s, and its length.
- def fx.mid
- def fx.low
- def fx.lit
- type CxThe last index whose base is at most v, with that base and its extra-bit count; bases ascend.
- def cx.go
- def em.len
- def em.dist
- def em.match
- def em.lit
- type LzMatch finder: the input bytes, packed, the newest position + 1 per hash, and per position the previous one with its hash (0: none).
- def lz.at.of
- def lz.at
- def lz.drop
- def lz.h3
- def lz.h2
- def lz.h1
- def lz.hash
- def lz.link
- def lz.ins.of
- def lz.insertLinks position i into the chain for its next three bytes; answers the chain's previous head.
- type MlMatch length: bytes at a + k and b + k compared so far, and whether the last pair was equal.
- def ml.cmp
- def ml.read
- def ml.len
- def ml.goCounts equal bytes from a and from b, up to fuel.
- type ChChain walk at i: candidate c (position + 1), the longest match so far, and whether to go on.
- def ch.okRFC 1951 §3.2.5: a distance is at most 32768.
- def ch.next
- def ch.best
- def ch.go
- type EsEncoder: match finder, bit writer, position, input length, and whether bytes are left.
- def es.lit.of
- def es.lit
- def ins.one
- def ins.goPositions inside a match join their chains too, when three bytes remain.
- def es.emit
- def es.pick
- def es.chainponytail: greedy parse, 32 chain steps; lazy matching would compress text further.
- def es.find
- def es.goEach step consumes at least one byte, so n steps finish.
- def es.out
- def deflate.intoOne final fixed-Huffman block (BFINAL = 1, BTYPE = 01) after what w holds, padded to a byte.
- def deflateRaw DEFLATE.
- def gz.put
- def gzipOne gzip member (RFC 1952): no flags, mtime 0, OS unknown.
- def zl.put
- def zlibRFC 1950: CMF 0x78 (32 KiB window), FLG 0x01 (fastest), then DEFLATE, then Adler-32, big-endian.
- def zstd.wordsThe C libraries, through packed words at the effect boundary.
- def inflate.words
- def inflate.raw.words
- def gzip.words
- def brotli.words
- def words.got
- def words.run
- def libz.inflategzip, zlib, or raw DEFLATE data through libz, selected from the first two bytes.
- def libz.inflate.rawOne raw DEFLATE stream through libz.
- def libz.gzipOne gzip member at level 6 through libz.
- def zstdZstandard frames (RFC 8878) through libzstd.
- def brotliBrotli (RFC 7932) through libbrotlidec.
- type DecoderA live native decoder.
- def dec.open
- def dec.new.got
- def dec.new
- def inflate.new
- def brotli.new
- def zstd.new
- def dec.feed
- def dec.pushThe output of one chunk of input.
- def dec.finish.id
- def dec.finishFinish validates the end marker and always releases the decoder.